Skip to main content

This browser is no longer supported.

Upgrade to Microsoft Edge to take advantage of the latest features, security updates, and technical support.

Download Microsoft Edge More info about Internet Explorer and Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Agent Conversations

Get a voice agent conversation

GET /agents/{agent_name}/endpoint/protocols/voice/conversations/{conversation_id}

Retrieves a single conversation recorded for the specified voice agent endpoint by its id. Returns 404 when the conversation was not persisted (store = false) or does not exist.

Header parameters

Foundry-Features enum required

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

VoiceAgents=V1Preview

Path parameters

agent_name string required

The name of the agent.

conversation_id string required

The id of the conversation to retrieve.

Query parameters

api-version string required

The API version to use for this operation.

Responses

The request has succeeded.

Body

Content-Type: application/json
id string required

The unique id of the conversation.

object enum required

The object type. Always voice.conversation.

voice.conversation
status string | enum required

The lifecycle status of a persisted voice conversation: - in_progress: the live session is active, or post-session persistence finalization is pending. - completed: finalization succeeded after normal or client close, end_conversation, a max-duration 1001 close, or a client or network disconnect that the service can still finalize. - failed: a terminal service, bridge, storage, or unrecoverable transport failure prevented finalization.

Any of the following:
string
enum
in_progresscompletedfailed
created_at integer required
completed_at integer
metadata object

A set of key-value pairs attached to the conversation.

[key: string] string
usage OpenAI.RealtimeResponseUsage
total_tokens integer
input_tokens integer
output_tokens integer
input_token_details OpenAI.RealtimeResponseUsageInputTokenDetails
cached_tokens integer
text_tokens integer
image_tokens integer
audio_tokens integer
cached_tokens_details OpenAI.RealtimeResponseUsageInputTokenDetailsCachedTokensDetails
text_tokens integer
image_tokens integer
audio_tokens integer
output_token_details OpenAI.RealtimeResponseUsageOutputTokenDetails
text_tokens integer
audio_tokens integer
last_error OpenAI.Error
code string | null required
message string required
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Any of the following:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string required

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Client error

Body

Content-Type: application/json
error OpenAI.Error required
code string | null required
message string required
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Any of the following:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string required

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Body

Content-Type: application/json
error OpenAI.Error required
code string | null required
message string required
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Any of the following:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string required

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Request

GET /agents/{agent_name}/endpoint/protocols/voice/conversations/{conversation_id} HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
en-us
Your Privacy Choices
  • AI Disclaimer
  • Previous Versions
  • Blog
  • Contribute
  • Privacy
  • Consumer Health Privacy
  • Terms of Use
  • Trademarks
  • © Microsoft 2026